import { PlunkerFiles } from "./plunker-files";
/** @dynamic */
export declare class PlunkerProjectService {
    private document;
    private plunkerFiles;
    constructor(document: Document, plunkerFiles: PlunkerFiles);
    open(prefix: string, sources: any, translations?: any): void;
    getIndexHTMLInput(): HTMLInputElement;
    getMainTSInput(): HTMLInputElement;
    getConfigJSInput(): HTMLInputElement;
    getAppComponentTSInput(filePrefix: string, fileContent: string): HTMLInputElement;
    private formInput;
    private getClassName;
    private getSelectorName;
}
